Remove an attachment from a transaction
curl --request DELETE \
--url https://thirdparty.qonto.com/v2/transactions/{transaction_id}/attachments/{attachment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/transactions/{transaction_id}/attachments/{attachment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/transactions/{transaction_id}/attachments/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Attachments in Transactions
Remove an attachment from a transaction
OAuth scope: attachment.write
Removes the attachment identified by the attachment_id path parameter from the transaction identified by the transaction_id path parameter.
In the Qonto app, attachments are files uploaded onto transactions by users. Attachments typically correspond to the invoice or receipt, and are used to justify the transactions from a bookkeeping standpoint.
DELETE
/
v2
/
transactions
/
{transaction_id}
/
attachments
/
{attachment_id}
Remove an attachment from a transaction
Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
Example:
"644cf847-125e-4ec9-920d-0d09aaeb4bbc"
Example:
"644cf847-125e-4ec9-920d-0d09aaeb4bbc"
Response
Returns a success status code.
Was this page helpful?